#include <stdio.h>
#include <stdlib.h>


int main() {
	int a, b, x, y;
	scanf("%d %d", &a, &b);
	scanf("%d %d", &x, &y);
	
	if(b == y && a > x){
		printf("prvi");
	}
	else if(b > y && a == x){
		printf("drugi");
	}
	else if(a == x && b == y){
		printf("nijedan");
	}
	else{
		printf("?");
	}
	
	return 0;
}